function IsaacImage_saveas(obj,auteur,filename)
% @IsaacImage : sauve obj.img dans un nouveau fichier avec maj du nom de l'image
%
% (Appeler en TRY-CATCH pour sortie en erreur d'execution)
%
% - auteur	 : handle figure outil qui a provoqu l'vnement
% - filename : nom complet du fichier
%
% @-> EVENEMENTS 111/112
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

global ISAACPRIV
global ISAACPREF

parentdir = fileparts(filename);
if isempty(parentdir)
	error('nom de fichier incomplet')
end
[ok,img] = IsaacIMG_saveas(obj.img,filename);
if ok
	obj.filename = filename;
	obj.status = 1;
	if (obj == ISAACPRIV.Cible)
		% maj marque image
		set(findobj(obj.fighnd,'Tag','ButSelect'),'BackgroundColor',ISAACPREF.CibleColor1)
	end
	if ~IsaacIMG_compare(obj.img,img,'ImgName')
		obj.img = img;
		clear img
		% maj nom figure image (aprs changement de status)
		set(obj.fighnd,'Name',IsaacImage_title(obj))
		if (obj == ISAACPRIV.Cible)
			% EVENEMENT
			IsaacImage_event(obj,auteur,111)
		else
			% EVENEMENT
			IsaacImage_event(obj,auteur,112)
		end
	end	
end	
% si pas de sauvegarde complte possible l'objet reste inchang