function obj = IsaacROI_subplans(obj,plans)
% @IsaacROI : supprime les plans dsigns par la matrice plans
%
%	- plans  : matrice(1,n) des numros de plans  supprimer, 1 <= n < ima_dimz
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

if ((size(plans,1) ~= 1) || (size(plans,2) >= obj.ima_dimz) || any(plans < 1) || ...
	any(plans > obj.ima_dimz) || (length(unique(plans)) ~= length(plans))) % erreur si doublons
	error('argument incorrect')
end
obj.isval(plans) = [];
if obj.val_nb
	obj.val_mat(:,[2*plans-1,2*plans]) = [];
end	
obj.ima_dimz = size(obj.isval,2);
% Suppression des doublons ventuels
obj = IsaacROI_optimise(obj);
