function [filename,dirname] = IsaacUIgetfile(mess)
% Dialogue modal lecture de fichier
% Appel au dialogue modal uigetfile('*.*',mess,ISAACPRIV.LastDir/.)
%
% - filename : nom du fichier selectionne ou 0
% - dirname  : ne se termine pas par / sauf si racine
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

global ISAACPRIV

[filename,dirname] = uigetfile('*.*',mess,fullfile(ISAACPRIV.LastDir,'.'));
% '.' pour etre positionne dans LastDir et non dans le repertoire parent
if (dirname(end) == filesep) && (length(dirname) > 1)
	dirname(end) = [];
end	
