function IsaacECOL_saveas(obj,filename)
% @IsaacECOL : criture d'un objet @IsaacECOL dans un fichier
%
% (Appeler en TRY-CATCH pour sortie en erreur d'execution)
%
%	- filename : nom du fichier dans rpertoire courant ou nom complet
%
% OpenIsaac
%  2018 Alain Clment - Universit d'Angers

%---------------------------------------------------------------------------------------------------

% Copyright 2007 - 2018 Universit d'Angers - Author: Alain Clment
%
% This program is free software; you can redistribute it and/or modify it under the terms of the GNU
% General Public License as published by the Free Software Foundation; either version 3 of the
% License, or any later version. This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
% PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received
% a copy of the GNU General Public License along with this program; if not, write to the Free
% Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

%---------------------------------------------------------------------------------------------------

[parentdir,shortfilename,ext] = fileparts(filename);
if ~strcmp(ext,'.mat')
	IsaacMessageWarning('extension du fichier corrige en .mat')
	filename = IsaacFileName(fullfile(parentdir,[shortfilename,'.mat']));
	% fullfile gre parentdir = '' ou '/'
end
ECOL = obj;																													%#ok
save(filename,'ECOL','-mat') % variable ECOL dans le fichier
